#!/bin/bash

NGINX_INSTALL_DIR=$1
SVR_INSTALL_DIR=$2
DOCUMENT_ROOT=$3
HTTP_PORT=$4
SSL_PORT=$5

echo "NGINX_INSTALL_DIR = $NGINX_INSTALL_DIR"
echo "SVR_INSTALL_DIR = $SVR_INSTALL_DIR"
echo "DOCUMENT_ROOT = $DOCUMENT_ROOT"
echo "HTTP_PORT = $HTTP_PORT"
echo "SSL_PORT = $SSL_PORT"

sed -i "s#_DOCROOT_SRC_#${DOCUMENT_ROOT}#g" $2/conf.d/default.conf
sed -i "s#_DOCROOT_SRC_#${DOCUMENT_ROOT}#g" $2/conf.d/ssl.conf

sed -i "s#_HTTP_LISTEN_PORT_#${HTTP_PORT}#g" $2/conf.d/default.conf
sed -i "s#_SSL_LISTEN_PORT_#${SSL_PORT}#g" $2/conf.d/ssl.conf


sed -i "s#_NGINX_INSTALL_DIR_#${NGINX_INSTALL_DIR}#g" $2/sbin/start.sh
sed -i "s#_SVR_INSTALL_DIR_#${SVR_INSTALL_DIR}#g" $2/sbin/start.sh

sed -i "s#_NGINX_INSTALL_DIR_#${NGINX_INSTALL_DIR}#g" $2/sbin/stop.sh
sed -i "s#_SVR_INSTALL_DIR_#${SVR_INSTALL_DIR}#g" $2/sbin/stop.sh
